<!-- 
  Copyright (c) 2019 The Nuinalp Authors. All rights reserved.
  Use of this source code is governed by a BSD-style license that can be
  found in the LICENSE file.
-->

<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0">
  <title>NvText - Nuiverse UI</title>
  <link rel="stylesheet" href="/build/nuiverse-ui.css">
  <script type="module" src="/build/nuiverse-ui.esm.js"></script>
  <script nomodule src="/build/nuiverse-ui.js"></script>

</head>
<body>
  <div class="demo-component">

    <div class="area-component">
      <h1>Text</h1>
      <h3>Alignment</h3>
      <div>
        <p class="nv-txt-left">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur ac commodo nibh, vitae volutpat felis.</p>
        
        <p class="nv-txt-right">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur ac commodo nibh, vitae volutpat felis.</p>

        <p class="nv-txt-center">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur ac commodo nibh, vitae volutpat felis.</p>

        <p class="nv-txt-justify">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur ac commodo nibh, vitae volutpat felis.</p>
      </div>
    </div>

    <div class="area-component">
      <h3>Nowrap</h3>
      <div style="background-color: bisque; width: 200px;" class="nv-txt-nowrap">
        <p class="nv-txt-left">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur ac commodo nibh, vitae volutpat felis.</p>
      </div>
    </div>

    <div class="area-component">
      <h3>Overflow</h3>
        <p style="background-color: bisque; width: 200px;" class="nv-txt-truncate">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur ac commodo nibh, vitae volutpat felis.</p>
    </div>

    <div class="area-component">
      <h3>Transformation</h3>
        <div>
          <p class="nv-txt-lowercase">lowercase</p>
          <p class="nv-txt-uppercase">uppercase</p>
          <p class="nv-txt-capitalize">capitalize</p>
        </div>
    </div>

    <div class="area-component">
      <h3>Style</h3>
        <div>
          <p class="nv-font-regular">Regular</p>
          <p class="nv-font-bold">Bold</p>
          <p class="nv-font-bold-italic">Bold Italic</p>
          <p class="nv-font-italic">Italic</p>
          <p class="nv-font-medium-italic">Medium Italic</p>
          <p class="nv-font-light">Light</p>
          <p class="nv-font-light-italic">Light Italic</p>
          <p class="nv-font-monospace">Monospace</p>
        </div>
    </div>
  </div>
</body>
</html>
 